# LiquidationService

The liquidation service retrieves account and liquidation information. You can use this API to find out the account or liquidation history.

```
// Retreives a list of accounts
fetch("https://api.strike.org/api/get_liquidators");

// Retreives an asset detail information of account
fetch("https://api.strike.org/api/get_liquidator:account");

// Retreives a liquidation detail of account
fetch("https://api.strike.org/api/get_liquidator_detail?:account:repayAsset:seizeAsset");

// Retreives a liquidation history information
fetch("https://api.strike.org/api/liquidator");
```

{% content-ref url="/pages/JapnFvA7M0igD7ZMEgQf" %}
[GET: /get\_liquidators](/api/liquidationservice/get-liquidators.md)
{% endcontent-ref %}

{% content-ref url="/pages/7KuEw56bx9klWR7GqPBf" %}
[GET: /get\_liquidator:account](/api/liquidationservice/get-liquidator.md)
{% endcontent-ref %}

{% content-ref url="/pages/ktQyM7jFQCBuko26d1EX" %}
[GET: /get\_liquidator\_detail:account](/api/liquidationservice/get-voters-history-address.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MSm13YNd\_gKNDdR0C\_D" %}
[GET: /voters/:proposalId](/api/voter-service/get-voters-proposalid.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strike.org/api/liquidationservice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
